> > PHP 4.4.0 のコンパイルエラー

PHP 4.4.0 のコンパイルエラー

上記サイトから入手できる


PHP 4.4.0 (tar.gz) [4,856Kb] - 11 Jul 2005
md5: 4c12d241216e4ca2f2ce2cb7ee5de48b

で、"--with-regex=system" を指定しているとコンパイル途中に


make: *** [ext/standard/reg.lo] Error 1

というようなエラーが出て止まってしまいます。これはPHP 4.4.0 の問題のようです。

で書かれているように、PHP Snapshots から最新版を落としてくればビルドが通ります。4.4.0 から今日までのスナップショットでは


?? ??? 2005, Version 4.4.1
- Fixed bug #33690 (Crash setting some ini directives in httpd.conf). (Rasmus)
- Fixed bug #33673 (Added detection for partially uploaded files). (Ilia)
- Fixed bug #33648 (Using --with-regex=system causes compile failure). (Andrei)
- Fixed bug #33156 (cygwin version of setitimer doesn't accept ITIMER_PROF).
  (Nuno)
- Fixed bug #32160 (copying a file into itself leads to data loss). (Ilia)
- Fixed bug #31158 (array_splice on $GLOBALS crashes). (Dmitry)

が修正されています。今回の件はFixed bug #33648 のようですね。4.4.0 はメンテナンスリリースとのことですが、4.4.1 もリリースされそうですね。

Home > Linux > PHP 4.4.0 のコンパイルエラー

Return to page top